<?php
include("lib/pChart/pChart/pData.class");
include("lib/pChart/pChart/pChart.class");

$dodraw = false;
$DataSet = new pData;
foreach ($_GET as $key => $value) {
    if(strpos($key, 'ser') === 0) {
        $DataSet->AddPoint(explode (',', $_GET[$key]), $key);
        $key_d = 'd_' . $key;
        $DataSet->SetSerieName($_GET[$key_d], $key);
        $dodraw = true;
    }
}
if(!$dodraw) exit;
$DataSet->AddPoint(explode (',', $_GET['desc']), 'desc');
$DataSet->AddAllSeries();
$DataSet->SetAbsciseLabelSerie('desc');

$h = $_GET['h'];
$w = $_GET['w'];
$x = $_GET['x'];
$y = $_GET['y'];
$l = $_GET['l'];

$Chart = new pChart($w, $h);
$Chart->setFontProperties("lib/pChart/Fonts/tahoma.ttf",6);
$Chart->setGraphArea(50,30,$w - $l - 5, $h - 30);
$Chart->drawFilledRoundedRectangle(7,7,$w - 7,$h - 7,5,240,240,240);
$Chart->drawRoundedRectangle(5,5,$w - 5,$h - 5, 5,230,230,230);
$Chart->drawGraphArea(255,255,255,TRUE);
$Chart->drawScale($DataSet->GetData(),$DataSet->GetDataDescription(),SCALE_NORMAL,150,150,150,TRUE,0,2);
$Chart->drawGrid(4,TRUE,230,230,230,50);

// Draw the 0 line
$Chart->setFontProperties("lib/pChart/Fonts/tahoma.ttf",6);
$Chart->drawTreshold(0,143,55,72,TRUE,TRUE);

// Draw the cubic curve graph
$DataSet->RemoveSerie("desc");
$Chart->drawFilledCubicCurve($DataSet->GetData(),$DataSet->GetDataDescription(),.1,50);

// Finish the graph
$Chart->setFontProperties("lib/pChart/Fonts/tahoma.ttf",8);
$Chart->drawLegend($w - $l,30,$DataSet->GetDataDescription(),255,255,255);
$Chart->setFontProperties("lib/pChart/Fonts/tahoma.ttf",10);
$Chart->drawTitle(50,22,$_GET['t'],50,50,50,585);


 
//$Chart = new pChart($w, $h);
//$Chart->setGraphArea($x, $y, $w - $x, $h - $y);
//$Chart->drawGraphArea(255,255,255,TRUE);
////$Chart->drawScale($DataSet->GetData(),$DataSet->GetDataDescription(),SCALE_NORMAL,150,150,150,TRUE,0,2);
//$Chart->drawGrid(4,TRUE,230,230,230,50);
//$Chart->setFontProperties("lib/pChart/Fonts/tahoma.ttf",8);
//$Chart->drawFilledCubicCurve($DataSet->GetData(),$DataSet->GetDataDescription(),.1,50);
////$Chart->drawLegend(15,15,$DataSet->GetData(),$DataSet->GetDataDescription(),250,250,250);

$Chart->Stroke();
?>

