<?
global $pagetitle;
global $slidebar;
global $content;
global $user;
global $rout;
$pagetitle = 'Статистика вызовов по направлениям';
$slidebar = "mainslidebar.php";
$content = basename($_SERVER['PHP_SELF']);
include_once "htmlstart.php";
if(!$rout) {
    include_once "footer.php";
    exit();
}

require 'lib/grid/EyeDataSource.php';
require 'lib/grid/class.eyedatagrid.inc.php';
require_once 'gfilters.php';

class WayTable extends EyeDataSource {
    private $mysqlres;
   
    public function DoQuery($filter = "", $order = "", $limit = "") {
        $filter = GetGlobalWhere() . $filter;
        if ($filter != "") $filter = " WHERE " . $filter;
        if ($order != "") $order = " ORDER BY " . $order;
        if ($limit != "") $limit = " LIMIT " . $limit;
        
        $query = 'SELECT * FROM (SELECT *
                             , numberclass(tbl.dialnum) AS numclass
                             , max(tbl.maxduration) as maxd
                             , avg(tbl.avgduration) as avgd
                             , sum(tbl.totalduration) as totald
                             , sum(tbl.totalcalls) as tcalls
                             , sum(tbl.totalttduration) as totaltd
                        FROM
                          (SELECT count(calls.id) AS totalcalls
                                , calls.pbxid
                                , calls.timeofcall
                                , calls.cd
                                , calls.ext
                                , calls.co
                                , calls.ring
                                , calls.dialnum
                                , calls.dialname
                                , sum(calls.duration) AS totalduration
                                , calls.accode
                                , calls.incoming
                                , calls.cost
                                , avg(CAST(calls.duration AS UNSIGNED)) AS avgduration
                                , max(CAST(calls.duration AS UNSIGNED)) AS maxduration
                                , sum(CEILING(CAST(calls.duration AS UNSIGNED) / 60 ) *60) AS totalttduration
                           FROM
                             calls
                           ' . $filter . '
                           GROUP BY
                             calls.dialnum) tbl
                           
                        GROUP BY
                          numberclass(tbl.dialnum)) tbl ' . $order .  $limit;
        $this->mysqlres = mysql_query($query);
        //echo $query;
        return $this->mysqlres;
    }
    
    public function GetRowCount($filter = "", $order = "") {
        $filter = GetGlobalWhere() . $filter;
        if ($filter != "") $filter = " WHERE " . $filter;
        $query =  'SELECT count(numclass) FROM (SELECT *
                             , numberclass(tbl.dialnum) AS numclass
                            
                        FROM
                          (SELECT calls.dialnum
                           FROM
                             calls
                           ' . $filter . '
                           GROUP BY
                             calls.dialnum ) tbl
                        GROUP BY
                          numberclass(tbl.dialnum)) tbl2';
        $res = mysql_query($query);
        $row = mysql_fetch_row($res);
        return $row[0];
    }
    
    public function error() {
        return mysql_error();
    }
    
    public function fetchAssoc($result) {
        return mysql_fetch_array($result);
    }
    
}
echo "<h2><a>Статистика</a></h2>";
echo "<div class='entry'>";
echo "Распеделение вызовов по направлениям.";

$grid = new EyeDataGrid(new WayTable, 'lib/grid/images/');
$grid->showRowNumber();
$grid->AddCol('numclass', 'Класс', true, EyeDataGrid::TYPE_CUSTOM, '%numclass%', true);
$grid->AddCol('tcalls', 'Число вызовов', true, 0, '', true);
$grid->AddCol('totald', 'Общая продолжительность', true, EyeDataGrid::TYPE_FUNCTION, 'SecondToStr', '%totald%');
$grid->AddCol('totaltd', 'Общая поминутная продолжительность', true, EyeDataGrid::TYPE_FUNCTION, 'SecondToStr', '%totaltd%');
$grid->AddCol('avgd', 'Средня продолжительность', true, EyeDataGrid::TYPE_FUNCTION, 'SecondToStr', '%avgd%');
$grid->AddCol('maxd', 'Максимальная продолжительность', true, EyeDataGrid::TYPE_FUNCTION, 'SecondToStr', '%maxd%');

$grid->printTable();

if($grid->row_count > 0){
    mysql_data_seek($grid->result, 0);
    while($row = mysql_fetch_array($grid->result)) {
        if($tcalls != '') $tcalls .= ',' . $row['tcalls'];
        else $tcalls = $row['tcalls'];
        if($desc != '') $desc .= ',' . $row['numclass'];
        else $desc = $row['numclass'];
        if($maxd != '') $maxd .= ',' . $row['maxd'];
        else $maxd = $row['maxd'];
        if($totald != '') $totald .= ',' . $row['totald'];
        else $totald = $row['totald'];
        if($avgd != '') $avgd .= ',' . $row['avgd'];
        else $avgd = $row['avgd'];
    }

    echo "<h2><br><a>Графики</a></h2><br>";
    echo "Графическое представление данных.<br><br>";
    ?>
    <table width="97%">
    <tr><th>Число вызовов</th><th>Общая продолжительность</th></tr>
    <tr>
    <td><IMG SRC='piechart.php?h=300&w=400&x=200&y=150&r=100&ser=<? echo $tcalls; ?>&desc=<? echo $desc; ?>'></td>
    <td><IMG SRC='piechart.php?h=300&w=400&x=200&y=150&r=100&ser=<? echo $totald; ?>&desc=<? echo $desc; ?>'></td>
    </tr>
    <tr><th>Средня продолжительность</th><th>Максимальная продолжительность</th></tr>
    <tr>
    <td><IMG SRC='piechart.php?h=300&w=400&x=200&y=150&r=100&ser=<? echo $avgd; ?>&desc=<? echo $desc; ?>'></td>
    <td><IMG SRC='piechart.php?h=300&w=400&x=200&y=150&r=100&ser=<? echo $maxd; ?>&desc=<? echo $desc; ?>'></td>
    </tr>
    </table>

    <?
}
echo "</div>";
?>

