<?
global $pagetitle;
global $slidebar;
global $content;
global $user;
global $rout;
$pagetitle = 'Таблица вызовов';
$slidebar = "mainslidebar.php";
$content = basename($_SERVER['PHP_SELF']);
include_once "htmlstart.php";
if(!$rout) {
    include_once "footer.php";
    exit();
}

require 'lib/grid/EyeDataSource.php';
require 'lib/grid/class.eyedatagrid.inc.php';
require_once 'gfilters.php';

class DialTable extends EyeDataSource {
    private $mysqlres;
    
   
    public function DoQuery($filter = "", $order = "", $limit = "") {
        $filter = GetGlobalWhere() . $filter;
        if ($filter != "") $filter = " WHERE " . $filter;
        if ($order != "") $order = " ORDER BY " . $order;
        if ($limit != "") $limit = " LIMIT " . $limit;
        
        $query = 'SELECT _calls.id
                         , _calls.pbxid
                         , _calls.timeofcall
                         , _calls.cd
                         , _calls.ext
                         , _calls.co
                         , _calls.ring
                         , _calls.dialnum
                         , _calls.dialname
                         , _calls.duration
                         , _calls.accode
                         , _calls.incoming
                         , _calls.cost
                         , ats.dname AS atsname
                         , numbes.dname AS dialnumname
                         , num2.dname AS extname
                         , numberclass(_calls.dialnum) AS numclass
                    FROM
                      (SELECT * FROM calls ' . $filter . $order . $limit .') as _calls
                    LEFT OUTER JOIN ats
                    ON _calls.pbxid = ats.pbxid 
                    LEFT OUTER JOIN numbes
                    ON _calls.dialnum = numbes.number OR _calls.dialnum = concat("EXT", numbes.number) 
                    LEFT OUTER JOIN numbes AS num2
                    ON _calls.ext = num2.number';
        $this->mysqlres = mysql_query($query);
        //echo $query;
        return $this->mysqlres;
    }
    
    public function GetRowCount($filter = "", $order = "") {
        $filter = GetGlobalWhere() . $filter;
        if ($filter != "") $filter = " WHERE " . $filter;
        if ($order != "") $order = " ORDER BY " . $order;
        $query = "SELECT COUNT(ID) as cnt FROM calls" . $filter . $order;
        $res = mysql_query($query);
        $row = mysql_fetch_row($res);
        return $row[0];
    }
    
    public function error() {
        return mysql_error();
    }
    
    public function fetchAssoc($result) {
        return mysql_fetch_array($result);
    }
    
}
echo "<h2><a>Сводная таблица</a></h2>";
echo "<div class='entry'>";
echo "Полная информация о всех зарегистрированных вызовах.";
$grid = new EyeDataGrid(new DialTable, 'lib/grid/images/');
//$grid->allowFilters();
$grid->showRowNumber();
//$grid->caption ='Детализация';
$grid->AddCol('incoming', '*', true, EyeDataGrid::CUSCTRL_IMAGE, 'images/call%incoming%.png', true);
$grid->AddCol('pbxid', 'атс', true, 0, '', true);
$grid->AddCol('timeofcall', 'Дата', true, EyeDataGrid::TYPE_DATE, "d.m.Y \r\n H:i", true);
$grid->AddCol('ext', 'Абонент', true, EyeDataGrid::TYPE_CUSTOM, '<a href="sip:%ext%">%ext% <i>%extname%</i></a>', true);
$grid->AddCol('dialnum', 'Вызов', true, EyeDataGrid::TYPE_CUSTOM, '<a href="sip:%dialnum%">%dialnum% <i>%dialnumname%<i></a>', true);
$grid->AddCol('duration', 'Продолжительность', true, EyeDataGrid::TYPE_FUNCTION, 'SecondToStr', '%duration%');
$grid->AddCol('co', 'CO', true, 0, '', true);
$grid->AddCol('numclass', 'Класс', false, EyeDataGrid::TYPE_CUSTOM, '%numclass%', true);

$grid->printTable();

echo "</div>";
?>
